- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionQ3ListViewItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 463 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionQ3ListViewItem:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Q3ListViewItem }
enum | StyleOptionVersion { Version = 1 }
enum | Q3ListViewItemFeature { None = 0x00, Expandable = 0x01, MultiLine = 0x02, Visible = 0x04, ParentControl = 0x08 }
## Public Member Functions
| QStyleOptionQ3ListViewItem ()
| QStyleOptionQ3ListViewItem (const QStyleOptionQ3ListViewItem &other)
## Public Attributes
Q3ListViewItemFeatures | features
int | height
int | totalHeight
int | itemY
int | childCount
## Protected Member Functions
| QStyleOptionQ3ListViewItem (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 466 of file qstyleoption.h.

    { Type = SO_Q3ListViewItem };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 467 of file qstyleoption.h.

    { Version = 1 };

enum Q3ListViewItemFeature

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  Expandable | Search for all occurrences
  MultiLine | Search for all occurrences
  Visible | Search for all occurrences
  ParentControl | Search for all occurrences

Definition at line 469 of file qstyleoption.h.

                                   { None = 0x00, Expandable = 0x01, MultiLine = 0x02, Visible = 0x04,
                                     ParentControl = 0x08 };

## Constructor & Destructor Documentation

QStyleOptionQ3ListViewItem | ( |  | ) |

QStyleOptionQ3ListViewItem | ( | const QStyleOptionQ3ListViewItem & | other | ) | `[inline]`

Definition at line 480 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionQ3ListViewItem | ( | int | version | ) | `[protected]`

## Member Data Documentation

Q3ListViewItemFeatures features

Search for all occurrences

Definition at line 473 of file qstyleoption.h.

int height

Search for all occurrences

Definition at line 474 of file qstyleoption.h.

int totalHeight

Search for all occurrences

Definition at line 475 of file qstyleoption.h.

int itemY

Search for all occurrences

Definition at line 476 of file qstyleoption.h.

int childCount

Search for all occurrences

Definition at line 477 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem
QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem QStyleOptionQ3ListViewItem